## r-cran-rematch 1.0.1

=== DESCRIPTION ===
Package: rematch
Title: Match Regular Expressions with a Nicer 'API'
Version: 1.0.1
Author: Gabor Csardi
Maintainer: Gabor Csardi <gcsardi@mango-solutions.com>
Description: A small wrapper on 'regexpr' to extract the matches and
    captured groups from the match of a regular expression to a character
    vector.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/MangoTheCat/rematch
BugReports: https://github.com/MangoTheCat/rematch/issues
RoxygenNote: 5.0.1.9000
Suggests: covr, testthat
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2016-04-20 19:54:37 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2016-04-21 08:20:46

=== debian/changelog ===
r-cran-rematch (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for r-api-3.4 transition

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Sep 2017 18:52:19 +0200

r-cran-rematch (1.0.1-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #860594)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Apr 2017 20:47:17 -0500

=== debian/control ===
Source: r-cran-rematch
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.3.3), cdbs
Standards-Version: 3.9.8

Package: r-cran-rematch
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}
Description: GNU R package to match regular expression with a nicer api
 This package offers a small wrapper on 'regexpr' to extract
 the matches and captured groups from the match of a regular
 expression to a character vector.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rematch package
# Copyright 2003-2017 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

## r-cran-rematch 2.0.0

=== DESCRIPTION ===
Package: rematch
Title: Match Regular Expressions with a Nicer 'API'
Version: 2.0.0
Author: Gabor Csardi
Maintainer: Gabor Csardi <csardi.gabor@gmail.com>
Description: A small wrapper on 'regexpr' to extract the matches and
    captured groups from the match of a regular expression to a character
    vector.
License: MIT + file LICENSE
URL: https://github.com/gaborcsardi/rematch
BugReports: https://github.com/gaborcsardi/rematch/issues
RoxygenNote: 5.0.1.9000
Suggests: covr, testthat
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2023-08-30 12:10:51 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2023-08-30 16:50:02 UTC

=== debian/changelog ===
r-cran-rematch (2.0.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Sep 2023 06:51:08 -0500

r-cran-rematch (1.0.1-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 16 May 2020 20:22:00 -0500

r-cran-rematch (1.0.1-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Jun 2018 14:05:41 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.3.3), cdbs
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.1), dh-r
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/edd/r-cran-rematch
+Vcs-Git: https://salsa.debian.org/edd/r-cran-rematch.git
+Homepage: https://cran.r-project.org/package=rematch
 
 Package: r-cran-rematch
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-rematch package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/rematch_([-\d\.]*)\.tar.gz
